%define snapshot 20130117
Name:           btrfs-progs
Version:        0.20
Release:        %mkrel 0.rc1.%{snapshot}.2
Summary:        Userspace programs for btrfs

Group:          System/Kernel and hardware
License:        GPLv2
URL:            http://btrfs.wiki.kernel.org/
#Source0:        http://www.kernel.org/pub/linux/kernel/people/mason/btrfs/%{name}-%{version}.tar.bz2
# git archive --prefix=btrfs-progs/ origin/master | xz > btrfs-progs-0.19-20120328.tar.xz
Source0:        %{name}-%{version}-rc1-%{snapshot}.tar.xz
Patch0:		btrfs-progs-enable-select-super-calc-size.patch
# upstream git fixes
Patch1:		0001-Clear-caches-when-opening-and-closing-devices.patch
Patch2:		0002-Ignore-the-error-ENXIO-and-ENOMEDIUM-during-a-devs-s.patch
Patch3:		0003-Btrfs-progs-bugfix-for-scrubbing-single-devices.patch
Patch4:		0004-btrfs-progs-Handle-errors-returned-from-open_ctree.patch
Patch5:		0005-Btrfs-progs-fix-resolving-of-loop-devices.patch
Patch6:		0006-Btrfs-progs-correct-btrfs-receive-usage-string.patch
Patch7:		0007-Btrfs-progs-detect-if-the-disk-we-are-formatting-is-.patch
Patch8:		0008-Btrfs-progs-add-btrfs-device-ready-command.patch
Patch9:		0009-btrfs-progs-fix-mkfs.btrfs-r-option.patch
Patch10:	0010-btrfs-progs-btrfsck-Print-which-filesystem-to-be-che.patch
Patch11:	0011-Btrfs-progs-dont-print-uuid-unless-u-option-is-given.patch
Patch12:	0012-btrfs-progs-don-t-free-null-path.patch
Patch13:	0013-Btrfs-progs-handle-errors-reading-fs-roots.patch
BuildRequires:  e2fsprogs-devel
BuildRequires:  libuuid-devel
BuildRequires:  libblkid-devel
BuildRequires:  zlib-devel
BuildRequires:  acl-devel

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%prep
%setup -q -n %{name}
%apply_patches

%build
make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%makeinstall bindir=%{buildroot}/%{_sbindir}
ln -sv %{_sbindir}/btrfsck %{buildroot}/%{_sbindir}/fsck.btrfs

%files
%doc COPYING INSTALL
%{_sbindir}/btrfs
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-debug-tree
%{_sbindir}/btrfs-find-root
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-restore
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfs-show
%{_sbindir}/btrfs-vol
%{_sbindir}/btrfs-zero-log
%{_sbindir}/btrfsck
%{_sbindir}/btrfsctl
%{_sbindir}/btrfstune
%{_sbindir}/calc-size
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_mandir}/man8/btrfs.8.*
%{_mandir}/man8/btrfs-image.8*
%{_mandir}/man8/btrfs-show.8*
%{_mandir}/man8/btrfsck.8*
%{_mandir}/man8/btrfsctl.8*
%{_mandir}/man8/mkfs.btrfs.8*


%changelog

* Tue Apr 16 2013 tmb <tmb> 0.20-0.rc1.20130117.2.mga3
+ Revision: 410222
- BR libblkid-devel
- selected fixes from upstream:
  * Clear caches when opening and closing devices (P1, mga #9714)
  * Ignore the error ENXIO and ENOMEDIUM during a devs scan (P2)
  * bugfix for scrubbing single devices (P3)
  * Handle errors returned from open_ctree (P4, mga #9714)
  * fix resolving of loop devices (P5)
  * correct btrfs receive usage string (P6)
  * detect if the disk we are formatting is a ssd (P7)
  * add btrfs device ready command (P8, for dracut)
  * fix mkfs.btrfs -r option (P9)
  * btrfsck: Print which filesystem to be checked to stdout (P10)
  * dont print uuid unless -u option is given (P11)
  * don't free null path (P12)
  * handle errors reading fs roots (P13)

* Fri Feb 08 2013 tmb <tmb> 0.20-0.rc1.20130117.1.mga3
+ Revision: 396995
- install in /usr/sbin, not /sbin
- update to 0.20-rc1 as of 2013-01-17

* Fri Jan 11 2013 umeabot <umeabot> 0.19-1.20120328.2.mga3
+ Revision: 347211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 22 2012 tmb <tmb> 0.19-1.20120328.1.mga2
+ Revision: 232555
- update to 2012-03-28 snapshot
  * switch back to master branch as dangerdonteveruse branch is now merged

* Sun Mar 25 2012 tmb <tmb> 0.19-1.20120222.1.mga2
+ Revision: 226164
- update to 2012-02-22 snapshot
  (first version that actually can fix some fs problems)

* Mon Dec 26 2011 tmb <tmb> 0.19-1.20111201.2.mga2
+ Revision: 187943
- build btrfs-select-super too (#3877)
- fix rename of restore to restore.btrfs properly

* Sat Dec 24 2011 tmb <tmb> 0.19-1.20111201.1.mga2
+ Revision: 187072
- update to 2011-12-01 snapshot

* Sat Nov 26 2011 tmb <tmb> 0.19-1.20111121.1.mga2
+ Revision: 172244
- pass ldflags to the build
- rename restore to restore.btrfs to not conflict with dump utility
- update filelist
- update to 2011-11-21 snapshot

  + kamil <kamil>
    - URL fixed

* Mon Nov 21 2011 kamil <kamil> 0.19-1.20111027.2.mga2
+ Revision: 170664
- URL updated (mga #3035)
- removed the clean section and minor cleaning in the spec file

* Thu Oct 27 2011 tmb <tmb> 0.19-1.20111027.1.mga2
+ Revision: 158748
- update to 2011-10-27 snapshot

* Sun Mar 13 2011 tmb <tmb> 0.19-1.20101006.2.mga1
+ Revision: 70244
- add fsck.btrfs symlink

* Wed Feb 09 2011 ennael <ennael> 0.19-1.20101006.1.mga1
+ Revision: 49466
- imported package btrfs-progs


* Wed Dec 01 2010 Thomas Backlund <tmb@mandriva.org> 0.19-1.20101006.1mdv2011.0
+ Revision: 604264
- update to 2010-10-06 snapshot
- drop p0 (merged)

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19-1.20100412.1mdv2011.0
+ Revision: 603986
- fix build
- fix deps
- rebuild

* Mon Apr 12 2010 Pascal Terjan <pterjan@mandriva.org> 0.19-1.20100412.0mdv2010.1
+ Revision: 533682
- Update to git snapshot

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.19-1mdv2010.0
+ Revision: 409532
- Update to new version 0.19
- Use Mandriva %%optflags

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-3mdv2010.0
+ Revision: 409062
- updated buildrequires for libuuid
- rebuild with new libuuid

* Sat Jun 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-2mdv2010.0
+ Revision: 385760
- Added missing BuildRequires for btrfs-convert.
- Added btrfs-convert (#51617)

* Fri May 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1mdv2010.0
+ Revision: 369208
- Added BuildRequires on zlib1-devel.
- import btrfs-progs


* Thu Apr 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1
- Initial version.
